<?php

/**
 *      【TuntronJxt v4.0】 (C)2010-2012 Tuntron Inc.
 *      
 *    	http://www.tuntron.com   QQ：1121251729
 *		
 *      &下载文件&
 */
if (!defined('IS_RUN')) die('Forbidden');
	if($fileid=_get('fileid')){
		$M_f = G_class('files');
		$filename = $_GET['filename'];
		$fileurl = $M_f->read_one($fileid);
		if($fileurl['fileurl']){
		$M_sysnote = G_class('sysnote');
		$M_sysnote->insert_sysnote('6', '1', $_CO['uid'], $_CO['userbid'], '下载文件 "' . $filename . ' "');
		$fullFilePatch=SITEURL.$fileurl['fileurl'];
		header("Content-Type: application/force-download");
		header("Content-Disposition: attachment; filename=".basename($fullFilePatch));
		readfile($fullFilePatch);
		}
	}
?>